
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何将SQL Server表驻留内存和检测 / iVAN</title>

    <meta name="description" content="如何将SQL Server表驻留内存和检测 将SQL Server数据表驻留内存是SQL Server提供的一项功能,在一般小型系统的开发过程中估计很少会涉及到.这里整理了相关文档资料,演示如何把SQL Server中一个表的所有数据都放入内存中,实现内存数据库,提高实时性. 1, DBCC PINTABLE Marks a table to be pinned, which means Microsoft SQL Server does not flush the pages for the table from memory. Syn">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何将SQL Server表驻留内存和检测</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>将SQL Server数据表驻留内存是SQL Server提供的一项功能，在一般小型系统的开发过程中估计很少会涉及到。这里整理了相关文档资料，演示如何把SQL Server中一个表的所有数据都放入内存中，实现内存数据库，提高实时性。</p>
<p>1, DBCC PINTABLE</p>
<p>Marks a table to be pinned, which means Microsoft SQL Server does not flush the pages for the table from memory.</p>
<p><code>Syntax<br />
DBCC PINTABLE ( database_id , table_id )<br />
To determine the database ID, use the DB_ID function.<br />
To determine the table ID, use the OBJECT_ID function.</code></p>
<p>注释</p>
<p>DBCC PINTABLE 不会导致将表读入到内存中。当表中的页由普通的 Transact-SQL 语句读入到高速缓存中时，这些页将标记为内存驻留页。当 SQL Server 需要空间以读入新页时，不会清空内存驻留页。SQL Server 仍然记录对页的更新，并且如有必要，将更新的页写回到磁盘。然而，在使用 DBCC UNPINTABLE 语句使该表不驻留之前，SQL Server 在高速缓存中一直保存可用页的复本。</p>
<p>DBCC PINTABLE 最适用于将小的、经常引用的表保存在内存中。将小表的页一次性读入到内存中，将来对其数据的所有引用都不需要从磁盘读入。</p>
<p>注意 DBCC PINTABLE 可以提供性能改进，但是使用时务必小心。如果驻留大表，则该表在开始时会使用一大部分高速缓存，而不为系统中的其它表保留足够的高速缓存。如果所驻留的表比高速缓存大，则该表会填满整个高速缓存。sysadmin 固定服务器角色的某个成员必须关闭而后重新启动 SQL Server，然后使表不驻留。驻留太多的表和驻留比高速缓存大的表会产生同样的问题。</p>
<p>示例：</p>
<p><code>Declare @db_id int, @tbl_id int<br />
Use DATABASE_NAME<br />
Set @db_id = DB_ID('DATABASE_NAME')<br />
Set @tbl_id = Object_ID('Department')<br />
DBCC pintable (@db_id, @tbl_id)<br />
可将表Department设置为驻留内存。<br />
&lt;CENTER&gt;&lt;ccid_nobr&gt;<br />
&lt;table width="400" border="1" cellspacing="0" cellpadding="2" bordercolorlight = "black" bordercolordark = "#FFFFFF" align="center"&gt;<br />
&lt;tr&gt;<br />
　　&lt;td bgcolor="e6e6e6" class="code" style="font-size:9pt"&gt;<br />
　　&lt;pre&gt;&lt;ccid_code&gt;　<br />
Declare @db_id int, @tbl_id int<br />
Use DATABASE_NAME<br />
Set @db_id = DB_ID('DATABASE_NAME')<br />
Set @tbl_id = Object_ID('Department')<br />
DBCC UNpintable (@db_id, @tbl_id)</code></p>
<p>可将表Department取消设置为驻留内存。</p>
<p>可以使用如下的SQL指令来检测执行情况：</p>
<p><code>Select ObjectProperty(Object_ID('Department'),'TableIsPinned')</code></p>
<p>如果返回结果为1：则表示该表已经设置为驻留内存；0：则表示没有设置为驻留内存。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 10:54:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98/" title="内存">内存</a>, <a href="https://www.iamivan.net/tag/dbcc/" title="DBCC">DBCC</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e8%af%bb%e5%85%a5%e5%86%85%e5%ad%98/" title="不读入内存">不读入内存</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何将SQL Server表驻留内存和检测的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKkQWM.html" rel="bookmark">SQL Server 2014 数据内存优化表详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不同于disk-based table,内存优化表驻留在内存中,使用 Hekaton 内存数据库引擎实现.在查询时,从内存中读取数据行:在更新时,将数据的更新直接写入到内存中.内存优化表能够在disk上维护一个副本,用于持久化数据集. Memory-optimized tables reside in memory. Rows in the table are read from and written to memory. The entire table resides in memory.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Nd56z.html" rel="bookmark">MSSQL－应用案例－SQL Server 2016基于内存优化表的列存储索引分析Web Access Log</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题引入 在日常的网站运维工作中,我们需要对网站客户端访问情况做统计.汇总.分析和报表展示,以数据来全面掌控网站运营和访问情况.当不可预知的意外情况发生时,我们可以快速发现问题以及采取相应的措施.比如:当网站受到黑客攻击时的流量陡增,又或者是网站某个资源发生意外抛异常等情况. 在提供Web服务的服务器上,比如IIS.Apache都存在访问日志记录,这篇是文章是以SQL Server 2016基于内存优化表的列存储索引来分析Apache Web Access Log为例,讲解分析网站访问情况,因此			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4dO9z.html" rel="bookmark">收集并存储性能监控器数据到SQL Server表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|监控|数据|性能 收集并存储性能监控器数据到SQL Server表 ? ? 当我们需要监控数据库SQL Server服务器性能的时候,有些数据库管理人员可能会选择Windows为我们提供的'性能'监控器来操作(开始菜单à管理工具à性能). 如果可以将性能监控器采集到的数据记录到SQL Server 的数据库表中去,很多工作对我们来说也许方便得多.开启性能监控器点击开始菜单à运行à执行(perfmon) 或者 开始菜单à管理工具à性能 ? 就可以看到下面的画面了 ?定义性能监控器LO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4BJqM.html" rel="bookmark">深入SQL SERVER 2000的内存管理机制&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server 深入SQL SERVER 2000的内存管理机制(二)     http://msdn.microsoft.com/data/default.aspx?pull=/library/en-us/dnsqldev/html/sqldev_01262004.asp   可访问大地址的应用 (Large-Address-Aware Executables) 在Windows增加支持/3GB参数以前,一个应用程序是无法访问一个带有高位设置的指针.一个32位的指针只有前31位地址空间可以被用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRVq2b.html" rel="bookmark">SQL Server 表变量和临时表系列之概念篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题引入 &quot;菜鸟啊,最近我看到阿里云开发者论坛的数据库RDS中有人在提SQL Server表变量和临时表如何选择的问题,你去深入探讨下这个问题吧,解答解答他们的疑惑吧&quot;,老鸟又开始为菜鸟找活干了. &quot;鸟哥啊,关于表变量和临时表使用选择的问题啊,向来行业里争论不休,我比较担心我们的观点被人家拍砖啊&quot;. &quot;鸟啊,有争论才说明这个问题有价值啊,所以我们才更应该去弄清楚,道明白啊&quot;.反正老鸟总会找到合适的理由. &quot;那好吧,要把这个问题要刨根问底			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx0N2b.html" rel="bookmark">为SQL Server提供更多的内存</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天一个朋友电话过来咨询我有关 Windows Server 2003 32bit 企业版最大支持的物理内存容量,主要是因为正在运营的一台数据库服务器内存使用达到 2G,服务器效率非常低打算扩展内存,为 SQL Server 提供更多的内存. 经过确认,服务器是 HP G3 系列支持PAE,即物理地址扩展,服务器应该最大支持32GB,而 Windows Server 2003 32bit 企业版最大支持32GB,为了能够在系统上有效的使用内存需要开启 /PAE 参数,而要使 SQL Server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKjm9p.html" rel="bookmark">改善SQL Server数据库的内存管理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,为了能在数据库服务器中运行其他应用程序,在保持数据库操作系统版本不变的前提下对数据库服务器进行了软.硬件上的升级.在软件上,将操作系统从Windows 2000升级到Windows Server 2003:在硬件上,将服务器中的内存由原来的512MB增加到1GB(1024MB). 在升级后的开始几个星期之内,服务器在使用中表现良好.但是不久后就发现,在服务器上同时运行的其他应用程序却出现了异常,不时地报出内存分配不足的警告.经过几次跟踪后发现,原来是SQL Server吞去了大部分内存所致			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y2N3z.html" rel="bookmark">表的最大行限制-Sql Server表的最大行怎样修改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Sql Server表的最大行怎样修改 数据库中的表有最大行数限制吗,如果有,我怎样修改, 我向表中添加大概快30,0000条数据的时候,添加不了. 解决方案 你的主键用的是什么类型?http://www.cnblogs.com/andy_tigger/archive/2011/08/21/2147745.html 如果添加不了, 你把错误的提示发出来吧			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Wdwqp.html" rel="bookmark">SQL Server表中添加新列并添加描述&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注: sql server 2005 及以上支持. 版本估计是不支持(工作环境2005,2008). 工作需要, 需要向SQL Server 现有表中添加新列并添加描述. 从而有个如下存储过程. (先附上存储过程然后解释) /********调用方法********** 作用: 添加列并添加列描述信息 调用: exec [SetColumnInfo] '表名', '列名', N'列说明,描述','列类型{默认:NVARCHAR(50)}','列默认值{默认:NULL}' ************			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz43kjp.html" rel="bookmark" class="title">Linux系统服务器防病毒实战</a>
					<div>
						  一.Linux病毒简介 随着Linux应用的日益广泛,有大量的网络服务器使用Linux操作系统.由于Linux的桌面应用和Windows相比还有一定的差距,所以在企业应用中往往是Linux和Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7a34M.html" rel="bookmark" class="title">用MyEclipse开发的Hibernate &plus; JSP分页代码</a>
					<div>
						下载后导入项目到 MyEclipse , 然后修改数据库连接参数即可测试. 我这用 的是 MySQL 数据库. 用 JSP 是因为 Hibernate 可以配合各种框架, 因此在代 码里我已经尽量的把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2RmAb.html" rel="bookmark" class="title">jBPM-4&period;0中文开发指南-第14章 持久化</a>
					<div>
						第 14 章 持久化 14.1. 标准环境配置 这一节描述了环境如何配置 来在标准Java环境中使用hibernate. 01 | &lt;jbpm-configuration&gt; 02 | 03 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Qwlp.html" rel="bookmark" class="title">将存储过程封装为EJB组件的方法</a>
					<div>
						集成 Web 应用服务器和数据库管理 (DBMS) 技术是很多新型商业应用的常见需求.在本文中,我们将讨论该集成的一个方面:如何在会话 Enterprise JavaBeans (EJB) 组件中设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7v1Ob.html" rel="bookmark" class="title">制作excel表格目录的方法</a>
					<div>
						  制作excel表格目录的方法         例:要求在如下图所示的excel工作簿中,在目录表中设置每个工作表的链接,然后在各个工作表中再设置返回主界面的链接. 设置步骤: 第1步:选取&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkjJAb.html" rel="bookmark" class="title">驾照理论考试题库哪里下载</a>
					<div>
						  想要驾照考试题库的朋友只需下载驾照考试助手即可,驾照考试助手拥有海量试题,很多驾校都用它来做模拟考试.其中的顺序练习功能会自动记录答到了哪一题,下一次可以接着进行练习;分类练习方便根据自己的弱项的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywAA4z.html" rel="bookmark" class="title">怎么把电脑开机声音去除？</a>
					<div>
						  打开:我的电脑,控制面板,双击声音和音频设备,在声音属性窗口选择&quot;声音&quot;,在&quot;程序事件&quot;下拉窗口中找到&quot;启动 windows&quot;,在下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZgW7z.html" rel="bookmark" class="title">Mac如何保存整个网页到本地</a>
					<div>
						  网页太大无法截图怎么办?当我们想给网页截图但是网页太长超出屏幕的时候,完全没有必要购买那些坑爹的网页快照软件,因为Mac系统就给我们备着呢,下面小编给大家介绍下Mac系统下如何保存整个网页到本地. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL16vb.html" rel="bookmark" class="title">Mac OS X系统下查看多个文件总体积的方法</a>
					<div>
						  我们知道,在苹果电脑 Mac OS X 系统下,选中文件后按下快捷键&quot;command&quot;+&quot;I&quot;(或者鼠标右击,选择&quot;显示简介&quot;)会弹出文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBwyqz.html" rel="bookmark" class="title">网站被腾讯电脑管家拦截了怎么办？解决网址被误报方法步骤</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天黄坤跟大家讲的是老站长们有可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWjEvp.html" rel="bookmark" class="title">DockOne微信分享（一四一）：如何开发部署Kubernetes Native应用</a>
					<div>
						[编者的话]当我们有了一个kubernetes集群后,如何在上面开发和部署应用,应该遵循怎样的流程?本次分享将向您展示如何使用Go语言开发和部署一个Kubernetes Native应用,使用Werc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrLW5M.html" rel="bookmark" class="title">查询-急！急！急，怎么样能最快速的判断大批量数据的剩余次数，具体请看需要，谢谢</a>
					<div>
						问题描述 急!急!急,怎么样能最快速的判断大批量数据的剩余次数,具体请看需要,谢谢 现在项目有需求如下: 数据结构:号码 次数,现在有1万个,如:0000 2次.0001 3次.0002 4次.000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YdVoM.html" rel="bookmark" class="title">通过几个Hello World感受&period;NET Core全新的开发体验</a>
					<div>
						2016年6月27日,这是一个特殊的日子,微软全新的.NET开发平台.NET Core的RTM版本正式发布.我个人将.NET Core的核心特性归结为三点,它们的首字母组成一个非常好记的简称--COM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NnOYM.html" rel="bookmark" class="title">获取手机端验证码</a>
					<div>
						前言:android应用的自动化测试必然会涉及到注册登录功能,而许多的注册登录或修改密码功能常常需要输入短信验证码,因此有必要能够自动获得下发的短信验证码. 主要就是实时获取短信信息. android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M6NrDoM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc2VnbWVudGZhdWx0LmNvbS9pbWFnZT9zcmM9aHR0cDovL3NlYW4taW1hZ2VzLnFpbml1ZG4uY29tL2xkYXBfY29ubl9zZXNzaW9uLnBuZyZhbXA7b2JqZWN0SWQ9MTE5MDAwMDAwMjYwNzEzMCZhbXA7dG9rZW49Y2Q3M2Q0YmY3OTdkODc5YTk2ZWM4MThkY2I3YWY0ZDg=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M6NrDoM.html" rel="bookmark" class="title">OpenLDAP&lpar;2&period;4&period;3x&rpar;服务器搭建及配置说明</a>
					<div>
						环境: Ubuntu: 14.04.1 (trusty), x86_64 OpenLDAP: 2.4.31 Berkery DB: 5.1.29 1 安装 1.1 准备编译环境和依赖包 # apt-g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWll7Ap.html" rel="bookmark" class="title">nginx-rtmp-module的发布权限问题</a>
					<div>
						问题描述 使用nginx服务器,支持nginx-rtmp-module模块,做RTMP的直播,但是默认情况下任何人都可以在客户端发起视频直播.请问,如何配置nginx,限定指定的人才能发起直播?注:限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AEylz.html" rel="bookmark" class="title">java代码获取JVM基本信息实例</a>
					<div>
						问题描述 java代码获取JVM基本信息实例 包括虚占用CPU时间,JIT编译器名称,JIT编译总时间,JVM启动参数 解决方案 http://cn-done.iteye.com/blog/20419 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm546b.html" rel="bookmark" class="title">Bash内部变量</a>
					<div>
						Bash中存在一些内部变量. $BASH Bash的二进制程序文件的路径. $ echo $BASH /bin/bash $BASH_ENV 这个环境变量会指向一个Bash的启动文件,当一个脚本被调用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRXq4b.html" rel="bookmark" class="title">使用R7版NDK搭建Android开发环境&lbrack;不使用Cgywin&rsqb;</a>
					<div>
						废话不多说,只说几句. 写这个的初衷是因为公司的项目需要,领导要求我搭建一个Android的开发环境(Eclipse + NDK),我算上找资料,下载,安装,配置环境及写文档,正好用了一个工作日.先把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYKQAp.html" rel="bookmark" class="title">Intent&period;ACTION&lowbar;MEDIA&lowbar;SCANNER&lowbar;SCAN&lowbar;FILE：扫描指定文件</a>
					<div>
						1．启动MediaScanner服务,扫描媒体文件: 程序通过发送下面的Intent启动MediaScanner服务扫描指定的文件或目录: Intent.ACTION_MEDIA_SCANNER_SC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlV5ep.html" rel="bookmark" class="title">Linux系统下启动MySQL报错：Neither host &amp;&num;039&semi;localhost&period;localdomain&amp;&num;039&semi;</a>
					<div>
						Linux系统下装完MySQL,然后重启动时报错: 解决方法: 查看cat /etc/hosts 发现什么文件也没有,编辑内容相关配置. vim /etc/hosts 输入以下内容:127.0.0.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnKVVM.html" rel="bookmark" class="title">Akka Essentials - 2</a>
					<div>
						Actors Defining an actor class MyActor extends Actor { def receive = { } } In Scala, the receive blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWxqjM.html" rel="bookmark" class="title">苹果iPhone5 16G长沙九方现货售8199元</a>
					<div>
						终于来了,不管你对苹果第六代产品iPhone 5失望与否,在它上市开卖的这段时间内你肯定不能无动于衷或者不闻不问.今年iPhone 5依旧维持着苹果一贯的高上市售价,不过让人稍稍欣慰的是今年iPhon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodle6M.html" rel="bookmark" class="title">GitHub网站究竟可不可靠？谷歌工程师教你用BigQuery一探究竟</a>
					<div>
						更多深度文章,请关注: https://yq.aliyun.com/cloud 作者简介:Felipe Hoffa,谷歌开发顾问,来自智利,现工作于旧金山以及全球各地,谷歌Cloud Platform ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX09Z4p.html" rel="bookmark" class="title">地理围栏等物联网安防产品将改变过往模式</a>
					<div>
						近年,物联网安防应用市场规模逐年攀升,细究其因发现:今时今日,云端连线的安防设备方案可以让安装及系统维护的成本降低,更多的组织单位陆续启用这类云端联网监控解决方案.根据Markets and mark ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60neWz.html" rel="bookmark" class="title">c&plus;&plus;-請問如何通過VS2012，C&plus;&plus;&comma;openCV&comma;使抓到的深度圖及人體骨架圖顯示出三維坐標？</a>
					<div>
						问题描述 請問如何通過VS2012,C++,openCV,使抓到的深度圖及人體骨架圖顯示出三維坐標? 請問如何通過VS2012,C++,openCV,使抓到的深度圖及人體骨架圖顯示出三維坐標? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvm7WM.html" rel="bookmark" class="title">jQuery Ajax使用心得详细整理及注意事项&lowbar;AJAX相关</a>
					<div>
						IE7及以下请求方式用GET的话,URL的限制是个很容易忽视的问题(最大2083个字符).所以如果URL有可能过长的话,一定要用POST. ------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLYnEM.html" rel="bookmark" class="title">js算法中的排序、数组去重详细概述&lowbar;javascript技巧</a>
					<div>
						其实在js中实现数组排序,采用数组中sort方法实现还是比较简单的: 一.排序 简单实现数组排序 复制代码 代码如下: var arr = [];  for(var i=0;i&lt;20;i++){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKGB4M.html" rel="bookmark" class="title">https&colon;&sol;&sol;yq&period;aliyun&period;com&sol;articles&sol;151353</a>
					<div>
						孟加拉央行近10亿美元盗窃尝试的证据,指向受中间人援助的朝鲜. 联邦检方意图证明,去年孟加拉央行10亿美元盗窃尝试是朝鲜政府所为. 调查人员认为,朝鲜劳动党中央委员会39局(金家直接掌控的朝鲜政府秘密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWl0Np.html" rel="bookmark" class="title">磁力链接&plus;爬虫</a>
					<div>
						磁力链接 磁力链接,简单的说(Magnet URI scheme):类似下面这样以&quot;magnet:?xt=urn:btih:&quot;开头的字符串,就是一条磁力链接:确切的说:&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
